## sdlip
Interface SDLIP

public interface SDLIP

This interface defined the tag names used in SDLIP and in the SDLIP/DASL binding.

Field Summary
`static QName` `base64` BASE64-encoded binary data
`static QName` `CancelRequest` cancelRequest method
`static QName` `clientSID`
`static QName` `defaultSubcol`
`static QName` `DID`
`static java.lang.String` `DienstServerURISchema` Used for the Dienst binding
`static QName` `doc`
`static QName` `docSelection`
`static QName` `exception`
`static QName` `exceptionCode`
`static QName` `expectedTotal`
`static QName` `ExtendStateTimeout` extendStateTimeout method
`static java.lang.String` `fakeDID`
`static QName` `GetDocs` getDocs method
`static QName` `GetInterface` getInterface method
`static QName` `GetPropertyInfo` getPropertyInfo method
`static QName` `GetSessionInfo` getSessionInfo method
`static QName` `GetSubcollectionInfo` getSubcollectionInfo method
`static QName` `MetadataInterface`
`static int` `NameServerDefaultPort`
`static java.lang.String` `NameServerJVMParName`
`static java.lang.String` `NameServerURISchema` Used for the SDLIP/CORBA binding
`static java.lang.String` `Namespace` The SDLIP namespace.
`static QName` `numDocs`
`static QName` `propDesc`
`static QName` `propList` list of properties
`static QName` `propName`
`static QName` `query`
`static QName` `queryLangs`
`static QName` `queryOptions`
`static QName` `redirect` Delegation
`static QName` `reqID`
`static QName` `resSet`
`static QName` `ResultAccessInterface`
`static QName` `retrievable`
`static QName` `SDLIPInterface` Metadata access: supported interfaces
`static QName` `searchable`
`static QName` `SearchInterface`
`static QName` `SearchRequest`
`static QName` `SearchResult` Search result
`static QName` `serverDelegate`
`static QName` `serverSID`
`static QName` `SessionInfo`
`static java.lang.String` `SID` Used for the SDLIP/DASL binding
`static QName` `stateTimeout`
`static QName` `stateTimeoutReq`
`static QName` `subcol`
`static QName` `subcolDesc` Metadata access: subcollections
`static QName` `subcolInfo`
`static QName` `subcolName`
`static QName` `subcols` Subcollections
`static QName` `version`

Field Detail

### Namespace

    public static final java.lang.String Namespace

  The SDLIP namespace.
  WARNING: subject to change due to legal issues. Avoid using it as text; always use the variable instead!

  See Also:
    Constant Field Values

### SearchResult

    public static final QName SearchResult

  Search result

### DID

    public static final QName DID

### doc

    public static final QName doc

### redirect

    public static final QName redirect

  Delegation

### serverDelegate

    public static final QName serverDelegate

### subcols

    public static final QName subcols

  Subcollections

### subcolName

    public static final QName subcolName

### resSet

    public static final QName resSet

### subcolDesc

    public static final QName subcolDesc

  Metadata access: subcollections

### defaultSubcol

    public static final QName defaultSubcol

### queryLangs

    public static final QName queryLangs

### SDLIPInterface

    public static final QName SDLIPInterface

  Metadata access: supported interfaces

### version

    public static final QName version

### SearchInterface

    public static final QName SearchInterface

### ResultAccessInterface

    public static final QName ResultAccessInterface

### MetadataInterface

    public static final QName MetadataInterface

### base64

    public static final QName base64

  BASE64-encoded binary data

### propList

    public static final QName propList

  list of properties

### searchable

    public static final QName searchable

### retrievable

    public static final QName retrievable

### NameServerURISchema

    public static final java.lang.String NameServerURISchema

  Used for the SDLIP/CORBA binding

  See Also:
    Constant Field Values

### NameServerDefaultPort

    public static final int NameServerDefaultPort

See Also:
  Constant Field Values

### NameServerJVMParName

    public static final java.lang.String NameServerJVMParName

See Also:
  Constant Field Values

### DienstServerURISchema

    public static final java.lang.String DienstServerURISchema

  Used for the Dienst binding

  See Also:
    Constant Field Values

### SID

    public static final java.lang.String SID

  Used for the SDLIP/DASL binding

  See Also:
    Constant Field Values

### fakeDID

    public static final java.lang.String fakeDID

See Also:
  Constant Field Values

### exception

    public static final QName exception

### exceptionCode

    public static final QName exceptionCode

### clientSID

    public static final QName clientSID

### serverSID

    public static final QName serverSID

### reqID

    public static final QName reqID

### stateTimeoutReq

    public static final QName stateTimeoutReq

### stateTimeout

    public static final QName stateTimeout

### SearchRequest

    public static final QName SearchRequest

### numDocs

    public static final QName numDocs

### query

    public static final QName query

### queryOptions

    public static final QName queryOptions

### GetSessionInfo

    public static final QName GetSessionInfo

  getSessionInfo method

### SessionInfo

    public static final QName SessionInfo

### expectedTotal

    public static final QName expectedTotal

### CancelRequest

    public static final QName CancelRequest

  cancelRequest method

### GetDocs

    public static final QName GetDocs

  getDocs method

### docSelection

    public static final QName docSelection

### ExtendStateTimeout

    public static final QName ExtendStateTimeout

  extendStateTimeout method

### GetInterface

    public static final QName GetInterface

  getInterface method

### GetSubcollectionInfo

    public static final QName GetSubcollectionInfo

  getSubcollectionInfo method

### GetPropertyInfo

    public static final QName GetPropertyInfo

  getPropertyInfo method

### subcolInfo

    public static final QName subcolInfo

### subcol

    public static final QName subcol

### propName

    public static final QName propName

### propDesc

    public static final QName propDesc